summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2015-12-31 07:31:19 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-12-31 07:31:19 +0700
commit7eb4938e406081ad61353b0102c2873170ebe583 (patch)
tree1ba681439f21b5e33797071620bb49d765c62981
parent8f5b8e75a4de36437edd15c0c128a3a9b7f28ed5 (diff)
downloadslackbuilds-7eb4938e406081ad61353b0102c2873170ebe583.tar.gz
slackbuilds-7eb4938e406081ad61353b0102c2873170ebe583.tar.xz
system/tpm: Added (Tiny password manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/tpm/README9
-rw-r--r--system/tpm/slack-desc19
-rw-r--r--system/tpm/tpm.SlackBuild78
-rw-r--r--system/tpm/tpm.info10
4 files changed, 116 insertions, 0 deletions
diff --git a/system/tpm/README b/system/tpm/README
new file mode 100644
index 0000000000..bf33a835d0
--- /dev/null
+++ b/system/tpm/README
@@ -0,0 +1,9 @@
+tpm is a tiny shell script which is heavily inspired and largely compatible with pass.
+Just like pass it uses gpg2 to securely store your passwords, the major difference
+between pass and tpm is that the latter is a lot more minimal. Furthermore, tpm is
+written entirely in POSIX shell.
+
+Invoking tpm consists of specifying a command either insert or show and supplying one
+entry as a target. If insert is specified as a command tpm will create a new entry and
+prompt for the corresponding password. If you specify show as a command tpm will write
+the password for the given entry to standard output.
diff --git a/system/tpm/slack-desc b/system/tpm/slack-desc
new file mode 100644
index 0000000000..b75c83f9dd
--- /dev/null
+++ b/system/tpm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tpm: tpm (Tiny password manager)
+tpm:
+tpm: tpm is a tiny shell script which is heavily inspired and largely
+tpm: compatible with pass. Just like pass it uses gpg2 to securely store
+tpm: your passwords, the major difference between pass and tpm is that the
+tpm: latter is a lot more minimal. Furthermore, tpm is written entirely in
+tpm: POSIX shell.
+tpm:
+tpm: Homepage: https://github.com/nmeum/tpm
+tpm:
+tpm:
diff --git a/system/tpm/tpm.SlackBuild b/system/tpm/tpm.SlackBuild
new file mode 100644
index 0000000000..9ad0af4670
--- /dev/null
+++ b/system/tpm/tpm.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for tpm
+
+# Copyright 2015 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tpm
+VERSION=${VERSION:-1.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+make install \
+ PREFIX=/usr \
+ MANDIR=/usr/man \
+ DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt README.pod $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/tpm/tpm.info b/system/tpm/tpm.info
new file mode 100644
index 0000000000..92be32639c
--- /dev/null
+++ b/system/tpm/tpm.info
@@ -0,0 +1,10 @@
+PRGNAM="tpm"
+VERSION="1.3.1"
+HOMEPAGE="https://github.com/nmeum/tpm"
+DOWNLOAD="https://github.com/nmeum/tpm/archive/1.3.1.tar.gz"
+MD5SUM="fbfa92880d4c82ae3fd22684240e9f19"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"